hledger-lib-0.26: Core data types, parsers and utilities for the hledger accounting tool.

Safe Haskell | None
Language | Haskell2010

Hledger.Reports.BalanceHistoryReport

Description

Account balance history report.

Synopsis

- accountBalanceHistory :: ReportOpts -> Journal -> Account -> [(Day, MixedAmount)]

# Documentation

accountBalanceHistory :: ReportOpts -> Journal -> Account -> [(Day, MixedAmount)] Source

Get the historical running inclusive balance of a particular account, from earliest to latest posting date.